Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.jpdl.el.impl
Class ArithmeticOperator

    java.lang.Object
      org.jbpm.jpdl.el.impl.BinaryOperator
          org.jbpm.jpdl.el.impl.ArithmeticOperator

Direct Known Subclasses:
  MinusOperator, MultiplyOperator, PlusOperator

    public abstract class ArithmeticOperator

extends BinaryOperator

This is the superclass for all binary arithmetic operators

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author$
Author:
  Nathan Abramson - Art Technology Group

Constructor Summary
`ArithmeticOperator()`

Method Summary
`abstract java.math.BigDecimal` | `apply(java.math.BigDecimal pLeft, java.math.BigDecimal pRight)` Applies the operator to the given BigDecimal values, returning a BigDecimal.
`abstract java.math.BigInteger` | `apply(java.math.BigInteger pLeft, java.math.BigInteger pRight)` Applies the operator to the given BigInteger values, returning a BigInteger.
`abstract double` | `apply(double pLeft, double pRight)` Applies the operator to the given double values, returning a double
`abstract long` | `apply(long pLeft, long pRight)` Applies the operator to the given double values, returning a double
`java.lang.Object` | `apply(java.lang.Object pLeft, java.lang.Object pRight, Logger pLogger)` Applies the operator to the given value

Methods inherited from class org.jbpm.jpdl.el.impl.BinaryOperator
`getOperatorSymbol, shouldCoerceToBoolean, shouldEvaluate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArithmeticOperator

    public ArithmeticOperator()

Method Detail

### apply

    public java.lang.Object apply(java.lang.Object pLeft,
                                  java.lang.Object pRight,
                                  Logger pLogger)
                           throws ELException

  Applies the operator to the given value

  Specified by:
    `apply` in class `BinaryOperator`
  Throws:
    `ELException`

### apply

    public abstract double apply(double pLeft,
                                 double pRight)

  Applies the operator to the given double values, returning a double

### apply

    public abstract long apply(long pLeft,
                               long pRight)

  Applies the operator to the given double values, returning a double

### apply

    public abstract java.math.BigDecimal apply(java.math.BigDecimal pLeft,
                                               java.math.BigDecimal pRight)

  Applies the operator to the given BigDecimal values, returning a BigDecimal.

### apply

    public abstract java.math.BigInteger apply(java.math.BigInteger pLeft,
                                               java.math.BigInteger pRight)

  Applies the operator to the given BigInteger values, returning a BigInteger.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD